package com.yeejoin.amos.boot.module.tdc.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.module.tdc.api.dto.CheckModelDto;
import com.yeejoin.amos.boot.module.tdc.api.entity.SubmitRecord;
import com.yeejoin.amos.boot.module.tdc.api.entity.SubmitRecord;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xxz
 */
@Service
public interface SubmitRecordService extends IService<SubmitRecord> {
    IPage<SubmitRecord> selectByOrgCode(int current, int size);

    int saveSubmitRecord(SubmitRecord submitRecord);

    SubmitRecord updateById(Long sequenceNbr, String batchNo, int draft, int examine);

    List<SubmitRecord> selectRecord();

    void saveFileId(Long id, Long fileId);

    SubmitRecord getFileId(Long id);
}
